#-----------------------------------------------------------------------------
%define		dist		.ok
%define		shortname	%(echo %{name} | cut -d '-' -f1-2)
#-----------------------------------------------------------------------------
Name		:	mate-screensaver
Version		:	1.27.0
Release		:	14.8.0.0%{?dist}
Summary		:	MATE screensaver
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz
Source1		:	%{name}-ok_addon.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	autoconf-archive
BuildRequires	:	dbus-glib-devel
BuildRequires	:	gtk3+
BuildRequires	:	libmatekbd
BuildRequires	:	libnotify
BuildRequires	:	mate-common
BuildRequires	:	mate-desktop
BuildRequires	:	mate-menus
BuildRequires	:	mate-session-manager
BuildRequires	:	pam-devel
BuildRequires	:	xorg-libXScrnSaver

Requires(post)	:	%{_bindir}/update-desktop-database
Requires(post)	:	%{_bindir}/glib-compile-schemas
#-----------------------------------------------------------------------------
%description
'%{name}' is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated with the desktop.
It is designed to support:

  * the ability to lock down configuration settings
  * translation into many languages
  * user switching

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_sysconfdir}/xdg/menus/%{name}s.menu
%{_sysconfdir}/pam.d/%{name}
%{_bindir}/%{name}
%{_bindir}/%{name}-*
%{_libexecdir}/%{name}-*
%{_libexecdir}/%{name}/*
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/dbus-1/services/org.mate.ScreenSaver.service
%{_datadir}/glib-2.0/schemas/org.mate.screensaver.gschema.xml
%{_datadir}/applications/%{name}-preferences.desktop
%{_datadir}/applications/screensavers/*.desktop
%{_datadir}/backgrounds/cosmos/background-1.xml
%{_datadir}/mate-background-properties/cosmos.xml
%{_datadir}/desktop-directories/%{name}.directory
%{_datadir}/backgrounds/cosmos/*.jpg
%{_datadir}/%{name}/*.ui
%{_datadir}/pixmaps/*.svg
%{_mandir}/man1/%{name}*.1.gz

%post
/usr/sbin/ldconfig
%{_bindir}/update-desktop-database 2> /dev/null
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null

%postun
if [ "$1" = 0 ]; then
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
  %{_bindir}/update-desktop-database 2> /dev/null
  fi
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q 
tar xvf %{SOURCE1}
%{__cp} -a						\
	%{name}-ok_addon/%{name}.pam			\
	data/%{name}

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\
	--with-console-kit				\
	--without-elogind				\
	--disable-schemas-compile			\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
